## dell-recovery 0.55~omsk1

=== debian/changelog ===
dell-recovery (0.55~omsk1) lucid; urgency=low

  * Build for inclusion in OMSK image.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 15 Apr 2010 15:13:05 -0400

dell-recovery (0.55) lucid; urgency=low

  * Add support for type 0x27 partitions (NTFS Win7 Recovery partition).
  * When first building the UP, check for all possible upimg filenames.
  * Add two binary files taken directory from factory process that are used
    to produce a compatible MBR and PBR such that DellDiags can be launched
    from a BIOS menu.
  * Use some crafty maneuvering to create the UP using parted rather than
    mkfs.vfat.  The latter appears to not properly fill out bytes 11-35 of
    the PBR causing it to not be bootable.
  * Take the necessary bytes out of the two binary files to place them in
    place, making the PBR properly bootable.
  * debian/control:
    - Drop recommends for syslinux since we use our own mbr now.
  * When operating in ubiquity debug mode, expose exceptions even if we're
    in a factory boot.
  * If we didn't include an autoexec.bat/config.sys (as is the case from normal
    DellDiags releases), then make the files we need to be bootable.
  * Update icon to new Dell branding icon and render it at a higher resolution.
  * Do a better job at filtering command line options that shouldn't propagate
    to the target system.
  * Replace dell-dvd png with an svg so that is scales better at high resolution.
  * Filter extra kernel command line arguments in all scenarios, not just if
    dell-recovery is in the kernel command line.
  * Shuffle the dell-bootstrap plugin to come before language again.
    - This will allow us to use debian-installer/language to preseed the install
      to a particular language.
    - This also allows the rest of the UI to be customized besides just the
      dell-bootstrap plugin.
  * Fix translation support.  We should be able to load translations for all
    widgets now.
  * Introduce a 3rd ubiquity plugin that forces the title of the parent window.
    This is necessary because bootstrap runs before the language page, which
    which reset the title again.
    - Only load it if we don't have dell-recovery/recovery_type on kernel 
      command line (which means factory mode)
  * Adjust the names of some of the templates to not show items as bold in
    the bootstrap plugin.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 15 Apr 2010 00:55:47 -0500

dell-recovery (0.54) lucid; urgency=low

  * Fix a crash in HDD mode from get_selected_device not being initialized
    in that context.
  * Import translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 11 Apr 2010 00:38:17 -0500

dell-recovery (0.53) lucid; urgency=low

  * Add a preseedable template to mark which partition should be active
    after a successful installation.
    - For an installation that is resizing another OS, don't set this key.
  * Pull in portions of the SUCCESS, FAIL, and chroot scripts to this package.
    - The ones on the recovery partition will still be executed if they exist,
      but they will also be removed after execution.
  * Produce a shell script to make sure that sfdisk is called on the right
    device.
  * Don't copy kernel command line parameters to the extra debug options in the
    recovery partition grub.cfg
  * Don't propagate debian-installer preseeds through.
  * Add a preseedsable template to mark which partition should be active
    after a failed installation.
  * If active or failed partition isn't preseeded, set a sane default for the 
    resize case.
  * Don't propagate any ubiquity (automatic-ubiquity, debug-ubiquity) kernel
    command lines through to the actual system install.
  * When in dual boot mode, don't install grub onto the RP.
  * When in dual boot mode, calculate the size of and produce additional
    partitions for the other OS to install into.
  * When in dual boot mode, install grub onto the 4th partition so that install
    can kick itself off.
  * When in dual boot mode, don't offer the resize options.

 -- Mario Limonciello <superm1@ubuntu.com>  Sat, 10 Apr 2010 10:30:05 -0500

dell-recovery (0.52) lucid; urgency=low

  * dell-bootstrap:
    - Actually append drivers to the to_remove list
    - Allow multiple drivers to be blocked from install (by comma separated list).
    - On the debug image, output the version number.
    - Enable some level of translation.  It's still got some issues, but is better
      than before.
  * Add an argument to check the currently installed version.
  * Only import GTK for the necessary pieces.
  * backend:
    - Add a new function: query_have_dell_recovery that will determine if a 
      dell-recovery deb or rpm is on the filesystem of an image or in a BTO tree.
  * builder:
    - If dell-recovery isn't included in the chosen image or in the chosen FID
      tree, then support injecting it into the image.
    - Make sure to clean up dynamic buttons when necessary.
  * Don't allow building the list store if git was installed and removed.
  * Catch exceptions when errors happen installing packages.
  * Import translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 05 Apr 2010 22:50:45 -0500

dell-recovery (0.51) lucid; urgency=low

  * Don't fail reinstall if missing an SDR.
  * Import translations from launchpad.
  * Add a new template: dell-recovery/disable-driver-install, which will block
    the installation of a preseeded list of drivers during postinstall phase 
    from Jockey.
  * When running in ubiquity debug mode, spawn a terminal to use.
  * Add a new dual boot template used to enable a dual boot preseed.
  * Propagate the dual boot parameters through the command line on installation
  * Add a new template: dell-recovery/dual_boot_seed.
    - This template's primary purpose is to add an additional seed to stack on
      the default seed.

