## dell-recovery 0.58

=== debian/changelog ===
dell-recovery (0.58) lucid; urgency=low

  * Adjust alignment from ubiquity changes in v2.2.23.
    - Bootstrap page now has yalign 0 and no fixed width
    - Recovery Media creation page, yalign 0 and remove some fixed widths
  * Merge translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 26 Apr 2010 14:59:06 -0500

dell-recovery (0.57) lucid; urgency=low

  [ Mario Limonciello ]
  * Import translations from launchpad.
  * Add the ability to disable nvidia driver installation during install too.
  * Add an additional postinstallation script directory for non-negotiable items
    shipped with this package.
  * Add a script to call the DKMS autoinstallation script to catch any modules
    that may have failed to build/install during install such as PAE kernels. 
    (LP: #563906)
  * match_system_device: Don't allow matching anything without a 0x preceding it.
    - Still allows base 16 ints
    - Still allows base 16 ints encapsulated in a string
  * Invert topdown for match system device.
  * Ignore devices / vendor id that are too long.
  * Add a test to test all devices on a system to the source package.

  [ James Ferguson ]
  * match_system_device: Don't recursively follow symlinks after the first
    level.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 21 Apr 2010 23:12:35 -0500

dell-recovery (0.56) lucid; urgency=low

  * Handle the exception that no casper UUID or no initrd are in the image by
    displaying it more nicely.
    - Although we can probably work around this, it will be troublesome down
      the road, so it's better to catch it and notify the user it's a broken
      image.
  * Try harder to detect the locale chosen at bootstrap.
  * Filter more gfxboot menu selections from propagating through the system
    from the locale that they had selected.
  * Default to use git:// protocol rather than http://.  It's far quicker for
    checkouts anyhow.
  * Render the icon at 128x128 to avoid GTK warnings.
  * Don't remove any items during SDR or UP explosion.  Rely on them being
    cleaned up at during the success command instead.
  * Shuffle the widgets around on the bootstrap page so that they stop getting
    clipped when translations are loaded.
  * Move gtk.Spinner into an eventbox so that glade doesn't nuke it every time
    the gtk.Builder file is modified.
  * Fix up the padding a little bit on the create recovery media page.
  * Import translations from launchpad.
  * Set the cancel button to an imported Cancel rather than always english.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 17 Apr 2010 12:55:03 -0500
