=== debian/control ===
Source: dell-recovery
Section: utils
Priority: optional
Maintainer: Mario Limonciello <superm1@ubuntu.com>
XSBC-Original-Maintainer: Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.4), python-distutils-extra, po-debconf
XS-Python-Version: current
Homepage: http://linux.dell.com/
Vcs-Bzr: http://bazaar.launchpad.net/~dell-team/dell-recovery/trunk
Standards-Version: 3.8.4

Package: dell-recovery
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
Replaces: dell-artwork
Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted
Enhances: oem-config-gtk, ubiquity-frontend-gtk
Suggests: grub-pc
XB-Python-Version: ${python:Versions}
Description: Dell Recovery Media Creation Package
 This package is used to produce a Dell recovery media image.
 It then uses known open source tools to write the image to 
 a USB flash drive or DVD writer.
