## dell-recovery 0.58.1

=== debian/changelog ===
dell-recovery (0.58.1) lucid-proposed; urgency=low

  * Cherry pick from trunk:
    - For FISH scripts, just execute them rather than special casing python and
      shell.  This means all scripts need #!/bin/sh or #!/bin/python at the top.
    - When calling scripts in non-negotiable, don't use exec. (LP: #602414)
    - Reverse the order of calling /tmp/set_active_partition and SUCCESS_SCRIPT
      to prevent problems with BTO Anywhere.
    - If FIST is found, don't extract the UP.  This means factory process ( of
      some sort )

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Jul 2010 14:29:10 -0500
