## dell-recovery 0.58.2

=== debian/changelog ===
dell-recovery (0.58.2) lucid-proposed; urgency=low

  * Cherry pick from trunk:
    - Work around a bug with interactions between a non-KMS plymouth and
      casper running when VT7 is active by not running casper stop if
    'noprompt' is not present in /proc/cmdline.
    - Fix recovery from recovery of a recovery. (LP: #643889)
    - Ubiquity bootstrap: sync before reboots.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 21 Sep 2010 18:03:41 -0500
