## dell-recovery 0.71

=== debian/changelog ===
dell-recovery (0.71) maverick; urgency=low

  * Adjust the sandybridge blacklist to match that in the latest compiz.
    (LP: #644372)
  * Ubiquity bootstrap: sync before reboots.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 21 Sep 2010 09:40:31 -0500

dell-recovery (0.70) maverick; urgency=low

  * Fix recovery from recovery of a recovery. (LP: #643889)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 20 Sep 2010 16:10:17 -0500

dell-recovery (0.69) maverick; urgency=low

  * Unset dbus session address before spawning burning apps for recovery media.
    - Recent versions of ubiquity (2.3.18+) set the dbus session address in the
      environment.  This causes issues because root can't speak on the session
      bus (and that's what plugininstall.py runs as).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 17 Sep 2010 13:34:42 -0500

dell-recovery (0.68) maverick; urgency=low

  * Add another id to blacklist for sugar bay.  Thanks Robert Hooker!
  * Include the architecture in the target ISO names.
  * Add one more rotational character to allow a full rotation.
  * Dynamically populate the list of available UI's.
  * For atom class, if une-efl is available, set to that by default.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 16 Sep 2010 19:11:45 -0500

dell-recovery (0.67) maverick; urgency=low

  * Parse the architecture of debs in debs/main to help figure out which
    to install.
  * Modify the dell-default-ui logic to match goals better for 10.10.
  * Run dell-default-ui during install rather than on first boot.
  * Preseed any advanced questions in case this is non-RP install.
  * Update the text for the restart dialog.
  * In the swap recipe fixup, detect large memory (>= 4GB) and don't create
    swap in these scenarios either.
  * Fix the efi set_advanced logic to not accidentally force msdos.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 13 Sep 2010 17:29:23 -0500

dell-recovery (0.66) maverick; urgency=low

  [ Mario Limonciello ]
  * If boot/grub/efi.img is found, create a mutlti-catalog ISO image.
  * Support FISH packages of nested archives for OIE.
  * Support media that uses GRUB to boot.
  * Mark a boot as an EFI boot if /sys/firmware/efi exists too.
  * Run grub-install in EFI mode too (it will use efibootmgr for us)
  * Fix Y-align on some labels.
  * If a disk is grub based, don't include the isolinux directory in the ISO.
  * Be more rigid about the scenarios that grub gets reinstalled on
    first boot.
  * Don't run part of the recovery plugin in bootstrap mode.
  * If dmi-available-memory isn't available (such as x86_64), fall back to
    /proc/meminfo.
  * No need to run efibootmgr to cleanup after install, the OS handles it.
  * Fixup creating media from recovery partitions containing eltorito.img.
  * Make sure the image complete dialog is centered.
  * Import translations from launchpad.

  [ Peter Petrakis ]
  * Autobuilder Frontend:
    - Cleanup of help text.
    - Add support to set iso prefix.
    - Add support to set specific dell-recovery package.
    - Add an option to skip the local git tree update.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Sep 2010 19:29:19 -0500

dell-recovery (0.65) maverick; urgency=low

  [ Mario Limonciello ]
  * Save files in XDG Downloads directory by default (LP: #616671)
  * Re-encode strings to utf8 when checking ISOs in builder mode. (LP: #616663)
  * Remove unused misc import in dell-recovery ubiquity plugin.
  * If choosing resize mode, still hide the UI pieces that make the page grow.
  * Clean up pylint warnings and errors in the ubiquity plugins.
  * Don't allow the bootstrap plugin to run if not in automatic mode.
  * Hide the plugin_widgets page in factory mode to prevent the app from
    growing and showing the wrong sized slideshow.

  [ Peter Petrakis ]
  * Add bto-autobuilder for standalone build features. (LP: #619452)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 17 Aug 2010 15:42:17 -0500

dell-recovery (0.64) maverick; urgency=low

  [ Mario Limonciello ]
  * Use the newly available progress bar from all ubiquity plugins to display
    status while building the RP.
  * Split out the propagated kernel options into their own file, to make sure
    they are common to the RP after install too.
  * If common.cfg is missing, don't flip out.
  * Make sure that BOOT_IMAGE is not propagating into the RP.
  * Always output the name of the plugin in debug strings.
  * Fix backwards list for une/ude in UI chooser.
  * Correct a rounding regression with the switch to parted for making partitions.
  * Add some additional debugging for all installs to share more about the creation
    of the UP and grub.
  * Strip the stray characters at the end of extra command line.
  * Backup the logs to the RP at the end of building RP for later debug purposes.
  * When booting grub from partition 4, search that partition before the rp for
    a common.cfg

  [ Peter Petrakis ]
  * Record the base iso used in the bto_manifest
  * Calculate the md5sum of each driver fish and record it in bto_md5sum

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 10 Aug 2010 20:16:46 -0500

dell-recovery (0.63) maverick; urgency=low

  * Fix a regression with tgz type fish packages from previous pylint cleanup
    due to tarfile not containing an __exit__ method.
  * When operating on a newer ubiquity version, hide the progress_section
    at window bottom.
  * Drop the title string on the bootstrap page.  It looks funny.
  * Don't propagate BOOT_IMAGE either to target system.
  * Add a title string to the recovery page, it looks funny without it.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 05 Aug 2010 17:43:39 -0500

dell-recovery (0.62) maverick; urgency=low

  * Work around a bug with interactions between a non-KMS plymouth and
    casper running when VT7 is active by not running casper stop if

