## dell-recovery 0.71.6

=== debian/changelog ===
dell-recovery (0.71.6) maverick-proposed; urgency=low

  "6th time's a charm!"
  * Cherry pick from trunk:
    - Use dbus-launch for launching usb-creator to help alleviate crashes in dbus.
      (LP: #698347)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 26 Jan 2011 00:45:36 -0600

dell-recovery (0.71.5) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Correct a rounding error when calculating the size of the resultant utility
      partition during recovery that would cause otherwise failed recoveries.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 17 Jan 2011 15:05:23 -0600

dell-recovery (0.71.4) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Use dbus-launch to start brasero in OEM-Config (LP: #698347)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 06 Jan 2011 17:37:57 -0600

dell-recovery (0.71.3) maverick-proposed; urgency=low

  * Fix a typo from the backport.  Trunk supported dual_seed in process_conf
    but maverick didn't.
    (LP: #687480)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Dec 2010 00:38:25 -0600

dell-recovery (0.71.2) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - Translate the recovery line that is inserted into grub.cfg based
      upon the initial language selected during OOBE.
    - Include a Chinese translation of the above.
      (LP: #687480)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 27 Dec 2010 00:05:08 -0600

dell-recovery (0.71.1) maverick-proposed; urgency=low

  * Cherry pick from trunk:
    - During OOBE save the first set language as the language that recovery
      from HDD is ran as. (LP: #687480)
    - Update Chinese translations from launchpad.
    - Fix widget translation for gtk Buttons.
    - Fix a backend crash when running in a more translated chinese.
    - Fix a backend crash with unicode paths.
    - Make sure the GRUB locale is properly set before rebooting in recovery.
  * Add a workaround for bug 686788 and bug 686789 so that the GRUB menu
    shows up in Chinese when selected in oem-config.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Dec 2010 17:24:30 -0600
