=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
 Package: dell-recovery
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
-Replaces: dell-artwork
-Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted
+Replaces: dell-artwork, dell-oobe
+Conflicts: dell-oobe
+Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted, python-git, python-progressbar
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
 XB-Python-Version: ${python:Versions}
