## dell-recovery 0.98

=== debian/changelog ===
dell-recovery (0.98) natty; urgency=low

  * Check the extensions of all initrd's found in casper directories to avoid
    clashing in images that have more than one kernel in the squashfs.
    (LP: #737058)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 25 Apr 2011 13:01:07 -0500

dell-recovery (0.97) natty; urgency=low

  * dell-default-ui: If chinese install, force to 2D unity.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 15 Apr 2011 10:38:19 -0500

dell-recovery (0.96) natty; urgency=low

  * Revert "Check UP for SDR in MFG Media".  Caused problems with factory process.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 14 Apr 2011 16:07:45 -0500

dell-recovery (0.95) natty; urgency=low

  * If destination in SDR on recovery partition is CN, set the language to zh_CN.
  * Check UP for SDR in MFG Media.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 11 Apr 2011 16:05:07 -0500

dell-recovery (0.94) natty; urgency=low

  * debs go into debs not debs/main.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 08 Apr 2011 12:22:39 -0500

dell-recovery (0.93) natty; urgency=low

  * Fix missing OIE argument in recovery media generation from OOBE.
  * Sleep the network for the duration of the install in stage 2.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 07 Apr 2011 16:06:44 -0500

dell-recovery (0.92) natty; urgency=low

  * casper/bootstrap: If an MBR was backed up before install started, restore it
  * ubiquity/bootstrap: If an MBR was backed up before install, don't restore DRMK
    or syslinux MBR's.
  * late: On bind mounts, create a compatibility symlink for /media/cdrom.
    - Fxies installation of packages in late.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 30 Mar 2011 15:06:03 -0500

dell-recovery (0.91) natty; urgency=low

  * Move the choose-mirror sed workaround into SUCCESS_SCRIPT.  Fixes problems
    with apt cache during install. (LP: #737066)
  * Explicitly remove all APT Package lists at the end of install to guarantee
    success during oem-config.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 22 Mar 2011 20:04:32 -0500

dell-recovery (0.90) natty; urgency=low

  * Remove grubenv in dell-recovery-bootloader postinst too.
  * Make sure to align partitions properly and to start on 1M boundary instead.
  * Force a cleanup of memory used for apt cache.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 17 Mar 2011 16:54:39 -0500

dell-recovery (0.89) natty; urgency=low

  * Fix a corner case found for injecting dell recovery.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 04 Mar 2011 12:17:16 -0600

dell-recovery (0.88) natty; urgency=low

  * Don't run os-prober during install unless dual boot.
  * debian/control:
    - Depends on dpkg-repack.
  * If the dell-recovery instance is running from the same series
    (eg natty) as the recovery partition:
    - Check the latest version in the recovery partition
    - Compare to the running version.  
    - If the running version is newer, include it in the new image 
      that was generated.
    - This is meant for the SRU case.  If an SRU is pushed for say 0.88.1
      then that SRU could be included in target media too.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 03 Mar 2011 16:40:41 -0600

dell-recovery (0.87) natty; urgency=low

  * Fix disk creation in non DRMK case.
  * A bit of an experiment:
    - Force installation to run in safe graphics mode.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 02 Mar 2011 14:25:55 -0600

dell-recovery (0.86) natty; urgency=low

  * Drop the hack for LP: #650703 now that there is a proper solution in ubiquity.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sun, 20 Feb 2011 06:08:39 -0600

dell-recovery (0.85) natty; urgency=low

  * Add a hack for LP: #650703 to not allow oem-config to start on the rc
    runlevel stopping to prevent a race between gdm and oem-config.
    - If a proper solution is added to oem-config/ubiquity, this hack can
      be dropped.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 14 Feb 2011 18:40:40 -0600

dell-recovery (0.84) natty; urgency=low

  * OIE Archives: use tar format instead of tar.gz.
    - This is mostly because of limitations of tar.exe for WinPE.
    - A lot of the content (debs and squashfs) are already compressed using gzip,
      bz2, or lzma anyway.
  * Include a grubenv in factory config.
  * In recovery partition grub.cfg, use $prefix rather than hardcoding.
  * In recovery partition grub.cfg, use -- to delimit the end of line.
  * After SUCCESS, clean up the factory directory (regardless of if this was
    a factory install).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 10 Feb 2011 17:45:27 -0600

dell-recovery (0.83) natty; urgency=low

  * Move the UP partition writing code to common so it can be called more easily
    outside of ubiquity if necessary.
  * Rewrite the UP bootsector if running in OIE mode.
  * dell-recovery-bootloader:
    - Set the prefix to /factory.
  * In OIE mode, generate a gzip'ed tarball rather than ISO image.
  * Create OIE images in their own directory.
  * Create an OIE diskpart recipe with the OIE image (w/ cushion of 300mb).
  * Update translations from Launchpad.
  * Update OIE help page for above changes.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 10 Feb 2011 00:33:54 -0600

dell-recovery (0.82) natty; urgency=low

  * Preseed the new ubiquity/poweroff parameter to false for the standard
    recovery process to allow the reboot to work by default.
  * Update SUCCESS/FAIL late scripts to the updated location for grubenv.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Sat, 05 Feb 2011 01:16:46 -0600

dell-recovery (0.81) natty; urgency=low

  * In the wizard and in bto autobuilder offer a new option to run an image in
    OIE mode.  This connects the image through all of the plumbing from 0.80

