## dell-recovery 0.98.2

=== debian/changelog ===
dell-recovery (0.98.2) natty-proposed; urgency=low

  * Fixed memory calculation issue. (LP: #817610)

 -- Kent Baxley <kent.baxley@canonical.com>  Thu, 28 Jul 2011 11:02:55 -0500

dell-recovery (0.98.1) natty-proposed; urgency=low

  * Move os-prober out of $PATH if installing to a single OS machine to prevent
    WinPE from setting off os-prober during grub-installer. (LP: #771560)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 26 Apr 2011 20:27:21 -0500
