=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: dell-recovery
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome
+Depends: ${python:Depends}, ${misc:Depends}, python-gtk2, policykit-1, uuid-runtime, udisks | devicekit-disks | hal, policykit-1-gnome, genisoimage, dpkg-repack
 Replaces: dell-artwork, dell-oobe
 Conflicts: dell-oobe
 Recommends: usb-creator-gtk, brasero | nautilus-cd-burner, lsb-release, python-vte, python-aptdaemon-gtk, parted, python-git, python-progressbar
@@ -22,3 +22,21 @@
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to 
  a USB flash drive or DVD writer.
+
+Package: dell-recovery-casper
+Architecture: all
+Depends: dell-recovery, casper
+Description: Dell Recovery Casper Hooks
+ This package provides hooks to allow the dell-recovery
+ bootstrap to run directly from casper without any other
+ modifications to the media.
+
+Package: dell-recovery-bootloader
+Architecture: all
+Depends: grub-pc, dell-recovery
+Description: Bootloader images for Dell's factory process
+ This package is used to generate GRUB2 bootable images that are
+ injected into the Dell Linux factory installation process.
+ .
+ This package doesn't have much use outside of the Dell environment
+ but is safe to install on other systems.
