## dell-recovery 1.11

=== debian/changelog ===
dell-recovery (1.11) oneiric; urgency=low

  * If dell-eula is in the pool mark it for installation.  No changes for livefs
    type installs.
  * Only do the extra check for OS prober disable when using FIST.
  * Update translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 06 Oct 2011 16:07:30 -0500

dell-recovery (1.09) oneiric; urgency=low

  * In EFI installs, make sure to preseed the disk layout question to ensure
    the MBR isn't rewritten in the cleanup stages.
  * In late scripts, double check that os-prober is disabled.  On EFI installs
    GRUB gets reinstalled, so the conffile might not persist.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 28 Sep 2011 13:42:11 -0500

dell-recovery (1.08) oneiric; urgency=low

  * grub-setup.exe: ignore failures in the embedding test that may be caused by
    seek errors.
  * grub-setup.exe: set root_dev to dest_dev for the case that DEVICE needs to
    be specified (avoiding having to add -r for the same argument).

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 26 Sep 2011 16:05:30 -0500

dell-recovery (1.07) oneiric; urgency=low

  * Whoops, actually make the change I was talking about in 1.06.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Sep 2011 10:29:41 -0500

dell-recovery (1.06) oneiric; urgency=low

  * Recommends on dpkg-dev to fix mingw32 grub-setup.exe build.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Sep 2011 10:18:50 -0500

dell-recovery (1.05) oneiric; urgency=low

  * If binaries already have been built for dell-recovery-bootloader, don't
    build them again.
  * Clean up all dell-recovery-bootloader built binaries on purge.
  * Drop devicekit-disks references.
  * Add extra variables to hide EFI recovery partition as well as legacy
    recovery partition.
  * Add support to build grub-setup.exe for a mingw32 target in postinst.
  * Add depends of ubiquity for dell-recovery-bootloader and -casper to force
    them to be removed during OOBE.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 13 Sep 2011 12:52:05 -0500

dell-recovery (1.04) oneiric; urgency=low

  * Drop all code related to setting default u/i.  The u/i is always
    unity now, it will be 2D or 3D depending on the level of support
    of the graphics stack.
  * Pass utf8_strings=True to connect_to_signal handlers to fix handling
    of unicode directories for storing ISOs
  * Update translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Fri, 09 Sep 2011 17:52:51 -0500

dell-recovery (1.03) oneiric; urgency=low

  * Move all the "code" from dell-recovery-bootloader to it's own script
    so that it can be invoked from other places too.
  * Store all GRUB configs in /factory from now.  Don't use /boot/grub
    as that's where the on disk bootloaders will land for EFI as well
    as later MBR installs.
  * Don't use grub-install at all.  Always build bootloader binaries
    ourselves that rely items in /factory.
  * Set up the FAIL and SUCCESS scripts to work out of /factory for grubenv.
  * Reinstall GRUB to the MBR on fail if fist isn't around and not EFI.
  * Add missing RP declaration in FAIL-SCRIPT.
  * Lookup the recovery partition on demand during oem-config early
    command in case the devices were different during install.
  * Depending on when FAIL_COMMAND happened, we might have mountpoints.
    Clean them up.
  * Delay the write of the new MBR until the last step in the set active
    partition command.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 08 Sep 2011 17:55:42 -0500

dell-recovery (1.02) oneiric; urgency=low

  * Install prebuilt GRUB to MBR and newly built GRUB to RP when possible.  
    - This allows a more complete emulation of factory process by reusing
      the prebuilt GRUB in the recovery scenario too.
    - The GRUB on the RP will only be used to RED screen after the MBR is
      replaced.
  * Only delete *.{dll|exe|bat} from /factory so that prebuilt GRUB binaries
    can be reused in other scenarios too.
  * Include the embedded GRUB configuration for prebuilt i386 and x86_efi-efi
    binaries.
  * Allow building both x86_64 and i386-pc prebuilt images if the -bin packages
    are installed for both.
  * Recommends grub-pc-bin and grub-efi-amd64-bin instead of grub-pc and 
    grub-efi-amd64.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Sep 2011 14:03:58 -0500

dell-recovery (1.01) oneiric; urgency=low

  * produce both i386-pc and x86_64-efi outputs in dell-recovery-bootloader.
  * Don't install grub to the RP during stage 2 anymore (no longer necessary
    with grub-setup in PE).
  * During stage 1 of recovery, if a pre-built EFI bootloader is present,
    install that rather than building a new one.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 31 Aug 2011 14:31:11 -0500

dell-recovery (1.00) oneiric; urgency=low

  [ Kent Baxley ]
  * Move lzma and xz-lzma to "Depends" instead of "Recommends"
  * Fixed parted syntax error when naming the EFI System Partition in dell-boostrap.py

  [ Mario Limonciello ]
  * Clean up a bunch of pyflakes warnings and unused imports.
  * Add python syntax tests to clean rule, borrowed from ubiquity,
    Thanks Evan.
  * Merge with the natty EFI branch:
    - Add some new options for preseeding UP and RP.
    - Default the UP, RP, OS, Swap partitions to be dynamically determined.
    - Add a partition map to configure for either EFI, dual boot, or MBR installs.
    - Name the EFI system partition "EFI System Partition" to match partman-efi.
    - Match case insensitive on labels when trying to find partitions.
  * Default the recovery partition to be called 'OS'
  * Import translations from launchpad.
  * Merge the oneiric PyGI branch.
    - Convert all ubiquity pages to PyGI/Gtk3
    - Convert OIE to PyGI

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 18 Aug 2011 12:26:57 -0700

dell-recovery (0.99) oneiric; urgency=low


