## dell-recovery 1.11.2

=== debian/changelog ===
dell-recovery (1.11.2) oneiric-proposed; urgency=low

  * Backport fixes from trunk:
    - Add some preseeded language fixes that are reactive to casper 1.289
      from precise and 1.287.1 from oneiric.
    - Don't preseed the language in a standard preseed file as it overrides
      casper's attempt at setting the language.
    - Don't let dell-bootstrap set language based on locale.  Only have it
      set English if no other language has been specified yet.
    - (LP: #888298)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 09 Nov 2011 15:27:03 -0600

dell-recovery (1.11.1) oneiric-proposed; urgency=low

  [ Mario Limonciello ]
  * Backport fixes from trunk:
    - Update the GPT utility partition creation logic.  (LP: #877858, #879140)
    - Capture the state of all packages after post install scripts to prevent
      bad interactions with remove_oem_extras after ubiquity r5804.
      (LP: #879137)

  [ Kent Baxley ]
  * Backport fixes from trunk:
    - Preseed chinese installs as zh_CN.UTF-8 rather than just zh_CN.  Fixes
      translation problems for chinese factory installs. (LP: #879114)

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 20 Oct 2011 17:39:58 -0500
