## dell-recovery 1.24

=== debian/changelog ===
dell-recovery (1.24) precise; urgency=low

  * Disable memory check for swap determination.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 23 Apr 2012 17:15:25 -0500

dell-recovery (1.23) precise; urgency=low

  * Disable unnecessary efiemu in the 32 bit factory bootloader.  Prevents
    failed postinst due to grub2 1.99-18ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 22 Mar 2012 17:02:41 -0500

dell-recovery (1.22) precise; urgency=low

  * Drop new_autotools.patch.  It's no longer necessary with GRUB2 
    1.99-17ubuntu1.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 07 Mar 2012 16:31:31 -0600

dell-recovery (1.21) precise; urgency=low

  * If any directories are found in /kernel on the CD, symlink them
    into /lib/modules on the overlayfs to ensure that alternate kernels
    can be loaded.
  * If 'prepackage.dell' is found in a tarball, ignore it.  Only applicable
    for other tools that will be processing packages.
  * Merge translations from launchpad.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 14 Feb 2012 18:57:06 -0600

dell-recovery (1.20) precise; urgency=low

  * Backport support for newer autotools to the precise set of grub patches.
    (LP: #928881)
  * Make the oneiric patches individual symlinks to precise patches rather
    than a full symlinked directory.
    - Add a preinst to clean up the old scenario.
  * debian/control:
    - Bump standards version.
  * Make 99_dell_recovery executable in source package.
  * Override more lintian warnings we don't care about.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 09 Feb 2012 00:54:49 -0600

dell-recovery (1.19) precise; urgency=low

  * B-d on lsb-release too.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 16:12:34 -0600

dell-recovery (1.18) precise; urgency=low

  * Fix bootloader build test so it works on machines without dell-recovery
    already installed too to avoid a circular dependency.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 15:37:10 -0600

dell-recovery (1.17) precise; urgency=low

  * When showing the install complete screen, set the timeout to -1.
  * Include the 'vbe' module in factory mode too.
  * Add a test to make sure most GRUB binaries will build in the chroot.
  * Build depends on grub-efi-amd64-bin and grub-pc-bin to make sure we test
    building those bootloaders.
  * Remove the theme README (unnecessary)
  * Disable PNG optimization.  Causes problems with GRUB2 theme (GRUB2 can't
    read indexed PNG's).
  * Make GRUB2 theme text white instead of black.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 16 Jan 2012 14:50:35 -0600

dell-recovery (1.16) precise; urgency=low

  * When building binaries in grub/build-binaries.sh, also build an i386-pc 
    DVD/USB bootloader.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 10 Jan 2012 09:39:21 -0600

dell-recovery (1.15) precise; urgency=low

  * Update all screenshots in the help document to a current version.
  * Include a GRUB2 theme based on the default GRUB2 upstream theme.
  * If either an i386-pc or x86_64-efi based GRUB is found in the base image
    copy the theme in place.
  * If copying in the GRUB theme, check that the dejavu fonts are already
    generated.  If not, create them.
  * In the grub.cfg files sourced before loading the common one on ISO/USB
    boot, load the appropriate backends first.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Mon, 09 Jan 2012 19:45:45 -0600

dell-recovery (1.14) precise; urgency=low

  * Correct the location that GRUBCFG gets written in the binary writing tool.
  * Remove all instances of #UUID# not just the ones that start on the line.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Tue, 03 Jan 2012 17:26:26 -0600

dell-recovery (1.13) precise; urgency=low

  [ Mario Limonciello ]
  * Include some updated patches from tyson for XML parsing in bad BIOS
    scenarios.
  * If no matching rec_part initially (blank disk) then don't crash
  * Don't build grub.cfg again if building binaries from bootstrap.
  * Query the release that we're running on to figure out whether to
    use patches for that release when building grub-setup.exe.
  * Include patches for both trunk and precise.
  * Fix file cleanup for dell-recovery-bootloader during purge.

  [ David Chen ]
  * Update the maximum size of a partition in the ubuntu.seed recipe
    to make sure partman doesn't make bad decisions about swap partition
    size when working with a >=2TB HDD.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Wed, 14 Dec 2011 18:02:03 -0500

dell-recovery (1.12) precise; urgency=low

  [ Mario Limonciello ]
  * Update bootloader patches to current grub2-trunk.
  * Add support to run GRUB2 binary builder out of tree via environment
    variables.
  * Add a 10 second countdown and automatic reboot at the end of stage 1.
  * Call emergency.sh as LAST item in casper.
  * If running in persistent mode, forcefully regenerate the apt-cache
    on boot.
  * Copy files using a blacklist excluding casper-rw rather than an all
    inclusive whitelist.  Fixes problems with persistence and dell-recovery.
  * Update the GPT utility partition creation logic.  (LP: #877858)
  * Capture the state of all packages after post install scripts to prevent
    bad interactions with remove_oem_extras after ubiquity r5804
  * Update README for more current information.
  * Don't regenerate the UUID during stage 1 anymore.  Instead, pre-populate
    the disk's UUID on the kernel command line of the target install.
    Requires casper 1.290 or later to work.
  * Add some preseeded language fixes that are reactive to casper 1.289 
    from precise and 1.287.1 from oneiric. (LP: #888298)
    - Don't preseed the language in a standard preseed file as it overrides
      casper's attempt at setting the language.
    - Don't let dell-bootstrap set language based on locale.  Only have it

